List a calendar's bookings
curl --request GET \
--url https://formitto.com/v1/calendar-widgets/{id}/bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://formitto.com/v1/calendar-widgets/{id}/bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://formitto.com/v1/calendar-widgets/{id}/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"calendarWidgetId": 123,
"inviteeName": "<string>",
"inviteeEmail": "[email protected]",
"slotIso": "<string>",
"slotDisplay": "<string>",
"inviteeTimezone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customFields": {},
"videoCallUrl": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"pages": 123
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}bookings
List a calendar's bookings
GET
/
calendar-widgets
/
{id}
/
bookings
List a calendar's bookings
Authorizations
A Formitto API key created in the dashboard (Settings → API keys). Pass it as Authorization: Bearer fmt_live_....
Path Parameters
The resource id.
Query Parameters
1-based page number.
Required range:
x >= 1Items per page (max 100).
Required range:
1 <= x <= 100⌘I